{% extends "base.html" %}
{% load cumulative_total %}

{% block content %}
    <main>
    <h1>Receipt{{ receipt_list|pluralize }}</h1>
    <p class="center-text-view">It is {% now "l, F jS, Y" %}</p>
        {% if receipt_list %}
            <table>
                <thead>
                    <th>Vendor</th>
                    <th>Total</th>
                    <th>Tax</th>
                    <th>Purchase Date</th>
                    <th>Category</th>
                    <th>Account</th>
                    <th>Actions</th>
                </thead>
                <tbody>
                    
                    {% for receipt in receipt_list|dictsort:"date" %}
                        {% cycle "grey" "" as rowcolors silent %}
                        <tr>
                            <td class="{{ rowcolors }}">
                                {{receipt.vendor}}
                            </td>
                            <td class="{{ rowcolors }}">${{receipt.total | floatformat:"2g"}}</td>
                            <td class="{{ rowcolors }}">{{receipt.tax | floatformat:2 }}%</td>
                            <td class="{{ rowcolors }}">{{receipt.date | date:"m-d-Y"}}</td>
                            <td class="{{ rowcolors }}">
                                {% filter force_escape | upper %}
                                    {{receipt.category.name}}
                                {% endfilter %}
                            </td>
                            <td class="{{ rowcolors }}">
                                {% filter force_escape | upper %}
                                    {{receipt.account.name}}
                                {% endfilter %}
                            </td>
                            <td>
                                <a href="{% url "receipts_edit_url" receipt.id %}">Edit</a>
                            </td>
                            <td>
                                <a href="{% url "receipts_delete_url" receipt.id %}">Delete</a>
                            </td>
                        </tr>
                    {% endfor %}
                    <tr class="table-total">
                        <td>Total: </td>
                        <td>${{ receipt_list|cumulative_total |floatformat:"2g"}}</td>
                        <td></td>
                    </tr>
                </tbody>
            </table>
        {% else %}
            <p class="center-text-view">You have no receipts</p>
        {% endif %}
    </main>
{% endblock content%}